> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# getProducts



## OpenAPI

````yaml /openapi/transportsoa-api.openapi.json get /rentalapi/v1/products
openapi: 3.0.0
info:
  description: >-
    TransportSOA API for rental availability, quotes, reservations, and
    transport-related test utilities.
  version: '1.0'
  title: TransportSOA API
  termsOfService: urn:tos
  contact: {}
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0
servers:
  - url: //tstest.websitetravel.com/transportsoa
security: []
tags:
  - name: rental-controller
    description: Rental Controller
  - name: test-controller
    description: Test Controller
paths:
  /rentalapi/v1/products:
    get:
      tags:
        - rental-controller
      summary: getProducts
      operationId: getProductsUsingGET
      parameters:
        - name: apiName
          in: query
          description: apiName
          required: true
          schema:
            type: string
        - name: pageNumber
          in: query
          description: pageNumber
          required: true
          schema:
            type: integer
            format: int32
        - name: pageSize
          in: query
          description: pageSize
          required: true
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: >-
                  #/components/schemas/SuccessResponseDTO_PageResponseDTO_ProductResponseDTO_
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
      deprecated: false
components:
  schemas:
    SuccessResponseDTO_PageResponseDTO_ProductResponseDTO_:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/PageResponseDTO_ProductResponseDTO_'
        message:
          type: string
        status:
          type: integer
          format: int32
      title: SuccessResponseDTO«PageResponseDTO«ProductResponseDTO»»
    PageResponseDTO_ProductResponseDTO_:
      type: object
      properties:
        pageNumber:
          type: integer
          format: int64
        pageSize:
          type: integer
          format: int64
        rows:
          type: array
          items:
            $ref: '#/components/schemas/ProductResponseDTO'
        totalElements:
          type: integer
          format: int64
        totalPage:
          type: integer
          format: int64
      title: PageResponseDTO«ProductResponseDTO»
    ProductResponseDTO:
      type: object
      properties:
        apiName:
          type: string
        description:
          type: string
        emailImage:
          type: string
        excessReductionDescription:
          type: string
        excessReductionFeatures:
          type: string
        features:
          type: string
        featuresDescription:
          type: string
        fleetType:
          type: string
        fleetTypeId:
          type: string
        fleetTypeSlug:
          type: string
        floorPlans:
          type: string
        gallery:
          type: string
        id:
          type: integer
          format: int64
        includedWith:
          type: string
        keyFeatures:
          type: string
        modifiedAt:
          type: string
          format: date-time
        pages:
          type: string
        productCode:
          type: string
        productId:
          type: string
        productName:
          type: string
        region:
          type: string
        shortDescription:
          type: string
        specifications:
          type: string
        specificationsDescription:
          type: string
      title: ProductResponseDTO

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.